import { Ooth } from 'ooth';
import { Translations } from 'ooth-i18n';
export declare type Validators = {
    [name: string]: {
        regex?: RegExp;
        test?: (value: string) => Boolean;
        error: string;
    };
};
export declare type Options = {
    name?: string;
    ooth: Ooth;
    defaultLanguage?: string;
    translations?: Translations;
    validators?: Validators;
};
export default function ({ name, ooth, defaultLanguage, translations, validators }: Options): void;
